{
  "web_display_autostart": true,
  "schedule": {
    "enabled": true,
    "start_time": "07:00",
    "end_time": "23:00"
  },
  "timezone": "America/Toronto",
  "location": {
    "city": "Ottawa",
    "state": "Texas",
    "country": "CA"
  },
  "display": {
    "hardware": {
      "rows": 32,
      "cols": 64,
      "chain_length": 2,
      "parallel": 1,
      "brightness": 90,
      "hardware_mapping": "adafruit-hat-pwm",
      "scan_mode": 0,
      "pwm_bits": 9,
      "pwm_dither_bits": 1,
      "pwm_lsb_nanoseconds": 130,
      "disable_hardware_pulsing": false,
      "inverse_colors": false,
      "show_refresh_rate": false,
      "limit_refresh_rate_hz": 100
    },
    "runtime": {
      "gpio_slowdown": 3
    },
    "display_durations": {
      "clock": 15,
      "leaderboard": 300,
      "eojhl_live": 30,
      "eojhl_recent": 30,
      "eojhl_upcoming": 30
    },
    "use_short_date_format": true
  },
  "clock": {
    "enabled": true,
    "format": "%I:%M %p",
    "update_interval": 1
  },
  "leaderboard": {
    "enabled": true,
    "enabled_sports": {
      "eojhl": {
        "enabled": true,
        "top_teams": 10,
        "season": 2025,
        "level": 1,
        "sort": "winpercent:desc,gamesbehind:asc"
      }
    },
    "update_interval": 3600,
    "scroll_speed": 1,
    "scroll_delay": 0.01,
    "loop": false,
    "request_timeout": 30,
    "dynamic_duration": true,
    "min_duration": 30,
    "max_display_time": 600
  },
  "eojhl_scoreboard": {
    "enabled": true,
    "live_priority": true,
    "live_game_duration": 20,
    "show_odds": false,
    "test_mode": false,
    "update_interval_seconds": 3600,
    "live_update_interval": 30,
    "recent_update_interval": 3600,
    "upcoming_update_interval": 3600,
    "recent_games_to_show": 1,
    "upcoming_games_to_show": 1,
    "show_favorite_teams_only": false,
    "show_all_live": true,
    "show_shots_on_goal": true,
    "favorite_teams": [
      "DAL",
      "TB"
    ],
    "logo_dir": "assets/sports/eojhl_logos",
    "show_records": true,
    "display_modes": {
      "eojhl_live": true,
      "eojhl_recent": true,
      "eojhl_upcoming": true
    }
  }
}
